
package de.ivu.elect.interfaces.was.wahlbeteiligung;

import java.util.Date;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class Wahlbeteiligung {

  @XmlElement(required = true)
  private WahlbeteiligungAuswertungReferenz wahlbeteiligungAuswertungReferenz;

  @XmlElement(required = false)
  private Long anzahlWaehlerGesamt;

  @XmlElement(required = false)
  private Long anzahlWaehlerMitWahlschein;

  @XmlElement(required = false) // Optional nur für Abwärtskompatibilität, Feld ist Pflicht
  private String erfasser;

  @XmlElement(required = false) // Optional nur für Abwärtskompatibilität, Feld ist Pflicht
  private Date zeitstempel;

  public WahlbeteiligungAuswertungReferenz getWahlbeteiligungAuswertungReferenz() {
    return wahlbeteiligungAuswertungReferenz;
  }

  public void setWahlbeteiligungAuswertungReferenz(
      WahlbeteiligungAuswertungReferenz wahlbeteiligungAuswertungReferenz) {
    this.wahlbeteiligungAuswertungReferenz = wahlbeteiligungAuswertungReferenz;
  }

  public Long getAnzahlWaehlerGesamt() {
    return anzahlWaehlerGesamt;
  }

  public void setAnzahlWaehlerGesamt(Long anzahlWaehlerGesamt) {
    this.anzahlWaehlerGesamt = anzahlWaehlerGesamt;
  }

  public Long getAnzahlWaehlerMitWahlschein() {
    return anzahlWaehlerMitWahlschein;
  }

  public void setAnzahlWaehlerMitWahlschein(Long anzahlWaehlerMitWahlschein) {
    this.anzahlWaehlerMitWahlschein = anzahlWaehlerMitWahlschein;
  }

  public String getErfasser() {
    return erfasser;
  }

  public void setErfasser(String erfasser) {
    this.erfasser = erfasser;
  }

  public Date getZeitstempel() {
    return zeitstempel;
  }

  public void setZeitstempel(Date zeitstempel) {
    this.zeitstempel = zeitstempel;
  }
}
